Namespace
library
Image / Tag
openjdk:27-ea-30
Content Digest
sha256:e77b30609f13a3901c8375384ed7cc28d200b5ebd961ce526751e35c9b2af658
Details
Created

2026-07-10 17:09:26 UTC

Size

293 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-27

JAVA_VERSION

27-ea+30

LANG

C.UTF-8

PATH

/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:ded2aa0abafd1e1e93e05338cb1b14916dbeb283d3862aa21e5d8b0164f4cbf3 - 14.0% (41.1 MB)

[#001] sha256:be8db18f4bc05bee0a9fb7a7c1b45058309d3db1f7dbac985c5a7c07a83d185d - 12.25% (35.9 MB)

[#002] sha256:1de8917e38386c7733ea144e606870a05f479d83cd1ef7b83599426db20b75fc - 73.75% (216 MB)


History
2026-05-12 18:44:08 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-10-slim-amd64-rootfs.tar.xz / # buildkit

2026-05-12 18:44:08 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-07-10 17:09:17 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-07-10 17:09:26 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-27

2026-07-10 17:09:26 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-07-10 17:09:26 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-07-10 17:09:26 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=27-ea+30

2026-07-10 17:09:26 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/30/GPL/openjdk-27-ea+30_linux-x64_bin.tar.gz'; downloadSha256='675ab158767ace31f82c60352ed3e8da485a1c9dbfc99f00a1a593814a6e45b2'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/30/GPL/openjdk-27-ea+30_linux-aarch64_bin.tar.gz'; downloadSha256='f527dd176a4be06e34103079b70eda06f1019ccafa2011011cd9232441b81810'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-07-10 17:09:26 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Created

2026-07-15 23:16:35 UTC

Size

2.4 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-27

JAVA_SHA256

bbb2feb0077744597a316c405a33bffc2421a8578457f6054daeb33f0730a41f

JAVA_URL

https://download.java.net/java/early_access/jdk27/30/GPL/openjdk-27-ea+30_windows-x64_bin.zip

JAVA_VERSION

27-ea+30


Layers

[#000] sha256:0938cf51b672b81c9804d1d5f0c57031c931f41b279270e84820c63642d6a3bd - 59.05% (1.42 GB)

[#001] sha256:e24b28706e4e5f31fae7935e5a79e6df5d7a2eb3e69c8c19ca723f41f0b45f6f - 32.26% (793 MB)

[#002] sha256:ff76cfabbbc1a1a4cb0818cda800a0b4816aae82478e1665c85d859addb384db - 0.0% (1.28 KB)

[#003] sha256:9db961ff8da85991b396d498844dec1835faf60f9abae01d46a39dd477f55ea2 - 0.01% (356 KB)

[#004] sha256:8dbc942024540d5bd0de6b8446c65ecad477a2b4d415af3abc8fd935210052dc - 0.0% (1.26 KB)

[#005] sha256:0dca44b2c26616e4311422cd96033026f25ba76159f4550538ed8442b0c3f95e - 0.01% (333 KB)

[#006] sha256:2ff8be5bdc78799d13dbbbe4a23ec525558e57158727b2db3de17c5594c5a53c - 0.0% (1.23 KB)

[#007] sha256:603a13476dc3caf774c20d138e64cd9fa3a3a62fd64fa5485bf8d71f39aa271e - 0.0% (1.26 KB)

[#008] sha256:f418bd8fd7ef35306db00b8e310c7adcf256f93d2db70f4a82d0f222c17d64b4 - 0.0% (1.23 KB)

[#009] sha256:0dbbc748638aaf289f69e8af3777f8858ef6fbc0c0b58d2846fd9cd5c8741ae6 - 8.67% (213 MB)

[#010] sha256:2b2ecd6fe7b8eaa0dfdb95c6f232534600292d7086dcb06f0234199be1ff00e3 - 0.0% (1.25 KB)


History
2026-01-11 09:57:36 UTC

Apply image 10.0.26100.32230

2026-07-11 23:02:35 UTC

Install update 10.0.26100.33158

2026-07-15 23:03:27 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-07-15 23:15:10 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-07-15 23:15:12 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27

2026-07-15 23:15:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-07-15 23:15:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+30

2026-07-15 23:15:19 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/30/GPL/openjdk-27-ea+30_windows-x64_bin.zip

2026-07-15 23:15:20 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=bbb2feb0077744597a316c405a33bffc2421a8578457f6054daeb33f0730a41f

2026-07-15 23:16:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-07-15 23:16:35 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2026-07-15 23:28:45 UTC

Size

2.22 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-27

JAVA_SHA256

bbb2feb0077744597a316c405a33bffc2421a8578457f6054daeb33f0730a41f

JAVA_URL

https://download.java.net/java/early_access/jdk27/30/GPL/openjdk-27-ea+30_windows-x64_bin.zip

JAVA_VERSION

27-ea+30


Layers

[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 62.52% (1.39 GB)

[#001] sha256:0675e37b24741ccc9e6ff6dda8512e3be78ba3519c8af33b04872e4738349249 - 28.07% (638 MB)

[#002] sha256:5552627ff15545aa9fdec68ddce1b24a3653c79d40f00b6e24d9e684d2d01c6b - 0.0% (1.29 KB)

[#003] sha256:e338d27a323e38e22d6d1c3df466b5851009f0e7ce2824971fae0c47a2756ad6 - 0.02% (461 KB)

[#004] sha256:f889ed1228d660201acdac91ccd84b9eb941b23776abcd7c0dcce00d32eb40d1 - 0.0% (1.3 KB)

[#005] sha256:26a67d78fd8a2c7df5567a76e3eedd2b54c864e31a29afece2d05935cdb17fea - 0.01% (316 KB)

[#006] sha256:1745d463853a538f815e3f44a41ff7fa4cbad21202af417d42567fee0d096908 - 0.0% (1.29 KB)

[#007] sha256:b5881234044c664f00b6fb6d253f3a9ca891b307ccf94c33bab19e5ba2ffedf4 - 0.0% (1.26 KB)

[#008] sha256:103fc5d01692232f9001772564cb91dfda9999f399f59cb6b4f5b2a94ad574b6 - 0.0% (1.26 KB)

[#009] sha256:a397dc144442cb451ece2fe3193e8c095f01c4ef2e77cd63d0035e76189eacab - 9.38% (213 MB)

[#010] sha256:4263ede961441a2c97b6de19ef8952b9924eded8e171a653624db916506ea3e6 - 0.0% (1.29 KB)


History
2025-10-09 07:51:18 UTC

Apply image 10.0.20348.4294

2026-07-11 16:30:20 UTC

Install update 10.0.20348.5386

2026-07-15 23:02:57 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-07-15 23:28:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-07-15 23:28:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-27

2026-07-15 23:28:11 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-07-15 23:28:12 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=27-ea+30

2026-07-15 23:28:13 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk27/30/GPL/openjdk-27-ea+30_windows-x64_bin.zip

2026-07-15 23:28:14 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=bbb2feb0077744597a316c405a33bffc2421a8578457f6054daeb33f0730a41f

2026-07-15 23:28:44 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-07-15 23:28:45 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2026-07-10 17:09:28 UTC

Size

290 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-27

JAVA_VERSION

27-ea+30

LANG

C.UTF-8

PATH

/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:523b5fcd95921b1880258a8c56e30985e8f3adf21d143bf177907dc76d6a562b - 13.64% (39.6 MB)

[#001] sha256:5d5330e6e81762d58653fbcf22aa3e51bc0ee858d5e001b4d3a917fefecc1953 - 12.39% (35.9 MB)

[#002] sha256:fc2f19cb61f71ac9825087e6be3cf30eb046634bd9b5a989c61727be0d4e106a - 73.96% (215 MB)


History
2026-05-12 18:43:55 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-10-slim-arm64v8-rootfs.tar.xz / # buildkit

2026-05-12 18:43:55 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-07-10 17:08:59 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-07-10 17:09:28 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-27

2026-07-10 17:09:28 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-27/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-07-10 17:09:28 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-07-10 17:09:28 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=27-ea+30

2026-07-10 17:09:28 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk27/30/GPL/openjdk-27-ea+30_linux-x64_bin.tar.gz'; downloadSha256='675ab158767ace31f82c60352ed3e8da485a1c9dbfc99f00a1a593814a6e45b2'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk27/30/GPL/openjdk-27-ea+30_linux-aarch64_bin.tar.gz'; downloadSha256='f527dd176a4be06e34103079b70eda06f1019ccafa2011011cd9232441b81810'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-07-10 17:09:28 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete